> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.tabs.com/api-reference/renewals/integrators-api-renewals-controller-get-renewal/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server. # Get a renewal GET https://integrators.prod.api.tabsplatform.com/v3/renewals/{id} Reference: https://docs.tabs.com/api-reference/renewals/integrators-api-renewals-controller-get-renewal ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `id` (string, required) — Renewal Id ## Response ### 200 The renewal - `payload` (RenewalDto, required) — Response payload, will be empty when success is false - `success` (boolean, required) — Boolean with true=success, false=failure - `message` (string, required) — Plain-text description of the result - `error` (IntegratorsApiError, optional) — json element with any error messages or warnings ## Errors ### 404 Not Found Error No such renewal under your merchant account, or renewals are not enabled for your merchant account - `any` ## Types ### RenewalDto - `id` (string, required) — Renewal Id - `contractId` (string, required) — Contract Id - `status` (enum, required) — Renewal Status - Allowed values: `DRAFT`, `APPROVED`, `DECLINED` - `draftContractId` (string, required, nullable) — Id of the draft renewal contract. Null until the contract is approved; after the renewal is executed it points to the new renewal contract. - `type` (enum, optional) — Renewal Type - Allowed values: `MUTUAL`, `AUTOMATIC`, `UNILATERAL` - `noticePeriod` (double, optional) — Notice Period - `noticePeriodUnits` (enum, optional) — Notice Period Units - Allowed values: `DAY`, `MONTH`, `YEAR` - `renewalLength` (double, optional) — Renewal Length - `renewalLengthUnits` (enum, optional) — Renewal Length Units - Allowed values: `DAY`, `MONTH`, `YEAR` - `maxNumberOfRenewals` (double, optional) — Max Number of Renewals - `sameConditions` (boolean, optional) — Same Conditions - `priceIncrease` (double, optional) — Price Increase - `priceIncreaseUnits` (enum, optional) — Price Increase Units - Allowed values: `PERCENT`, `DOLLAR` - `recurringPeriod` (double, optional) — Recurring Period - `recurringPeriodUnits` (enum, optional) — Recurring Period Units - Allowed values: `DAY`, `MONTH`, `YEAR` - `escalatorConditions` (string, optional) — Escalator Conditions - `renewalCriteria` (string, optional) — Renewal Criteria - `renewalCriteriaDetails` (string, optional) — Renewal Criteria Details - `termEndDate` (string, optional) — Term End Date - `escalatorClauseSummary` (string, optional) — Escalator Clause Summary - `summary` (string, optional) — Summary - `quotes` (string, optional) — Quotes ### IntegratorsApiError - `code` (double, required) — API response code - `message` (string, required) — API response message - `details` (IntegratorsApiErrorDetails, optional) — Additional details about the error ### IntegratorsApiErrorDetails Additional details about the error ## Examples **Response** ```json { "payload": { "id": "123e4567-e89b-12d3-a456-426614174000", "contractId": "123e4567-e89b-12d3-a456-426614174000", "status": "DRAFT", "draftContractId": "123e4567-e89b-12d3-a456-426614174000", "type": "AUTOMATIC", "noticePeriod": 30, "noticePeriodUnits": "DAY", "renewalLength": 12, "renewalLengthUnits": "MONTH", "maxNumberOfRenewals": 3, "sameConditions": true, "priceIncrease": 5.5, "priceIncreaseUnits": "PERCENT", "recurringPeriod": 12, "recurringPeriodUnits": "MONTH", "escalatorConditions": "Based on CPI", "renewalCriteria": "Performance metrics", "renewalCriteriaDetails": "Must meet 95% SLA", "termEndDate": "2024-12-31", "escalatorClauseSummary": "Annual increase", "summary": "Automatic renewal with 30 day notice", "quotes": "string" }, "success": true, "message": "string", "error": { "code": 1.1, "message": "string", "details": {} } } ``` **SDK Code** ```python import requests url = "https://integrators.prod.api.tabsplatform.com/v3/renewals/123e4567-e89b-12d3-a456-426614174000" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://integrators.prod.api.tabsplatform.com/v3/renewals/123e4567-e89b-12d3-a456-426614174000'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://integrators.prod.api.tabsplatform.com/v3/renewals/123e4567-e89b-12d3-a456-426614174000" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://integrators.prod.api.tabsplatform.com/v3/renewals/123e4567-e89b-12d3-a456-426614174000") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://integrators.prod.api.tabsplatform.com/v3/renewals/123e4567-e89b-12d3-a456-426614174000") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://integrators.prod.api.tabsplatform.com/v3/renewals/123e4567-e89b-12d3-a456-426614174000', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/renewals/123e4567-e89b-12d3-a456-426614174000"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/renewals/123e4567-e89b-12d3-a456-426614174000")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```